PTS_QUIT(1)

NAME
pts_quit - Exit from pts interactive mode

SYNOPSIS
pts quit [-cell] <cell name> [-noauth] [-localauth]
    [-force] [-help] [-auth] [-encrypt]
    [-config <config directory>]

pts q [-c] <cell name> [-n] [-l] [-f] [-h]
    [-a] [-e] [-co <config directory>]

DESCRIPTION
The pts quit command exits from pts interactive mode. The command can be run from the command line or interactively, but on the command line it does nothing and is therefore of questionable utility.

CAUTIONS
Prior to OpenAFS 1.4.5 and OpenAFS 1.5.23, the pts quit command was only available on Unix or Linux and when OpenAFS was compiled with the supergroups option (disabled by default). As of OpenAFS 1.4.5 and 1.5.23, it is always available.

OPTIONS
Although they have no effect, pts quit takes the following standard pts options:

-auth
    Use the calling user's tokens to communicate with the Protection Server. For more details, see pts(1).

-cell <cell name>
    Names the cell in which to run the command. For more details, see pts(1).

-config <config directory>
    Use an alternate config directory. For more details, see pts(1).

-encrypt
    Encrypts any communication with the Protection Server. For more details, see pts(1).

-force
    Enables the command to continue executing as far as possible when errors or other problems occur, rather than halting execution at the first error.

-help
    Prints the online help for this command. All other valid options are ignored.

-localauth
    Constructs a server ticket using a key from the local /etc/openafs/server/KeyFile file. Do not combine this flag with the -cell or -noauth options. For more details, see pts(1).

-noauth
    Assigns the unprivileged identity anonymous to the issuer. For more details, see pts(1).

OUTPUT
This command produces no output.

EXAMPLES
Here is an example of a pts interactive session:

   % pts interactive
   pts> quit
   %

SEE ALSO
pts(1), pts_interactive(1)

COPYRIGHT
Copyright 2007 Jason Edgecombe <jason@rampaginggeek.com>

This documentation is covered by the BSD License as written in the doc/LICENSE file. This man page was written by Jason Edgecombe for OpenAFS.